import Vue from 'vue';
import Vuex from 'vuex';

import appState from './modules/app';
import userState from './modules/user';
import reuseTabState from './modules/routerTabs';
import aclState from './modules/acl';
import persistedState from 'vuex-persistedstate'

Vue.use(Vuex);

// tslint:disable-next-line
export interface RootState {
}

export default new Vuex.Store<RootState>({
  state: {
   loginUser:'',
   loginPsd:'',
    webMenu: {
        webMenuAddFlag: false,
        webMenuParentId: 0,
        editModelFlag: false,
        editMenu: null
    }
  },
  mutations: {

  },
  actions: {

  },
  modules: {
    app: appState,
    reuseTab: reuseTabState,
    user: userState,
    acl: aclState,
  },
    // plugins: [persistedState()]
});
